New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2143 (ENHANCE-03_PierreMathiot_DomcfgTools) – NEMO

Opened 4 years ago

Closed 3 years ago

#2143 closed Task (fixed)

ENHANCE-03_PierreMathiot_DomcfgTools

Reported by: mathiot Owned by: mathiot
Priority: high Milestone: 2019 WP
Component: DOM Version: trunk
Severity: minor Keywords: DOM, TOOLS,
Cc:

Description (last modified by mathiot)

Context

Work on the DOMAINcfg tool:

  • remove unnecessary code and namelists.
  • change behaviour of ln_closea (ticket #2094)
  • remove configuration dependant index in closea mask generation using flood filling algorithm.

Implementation plan

Implementation plan described in wiki:2019WP/ENHANCE-03_PierreMathiot_DomcfgTools (see Abstract)

Commit History (16)

ChangesetAuthorTimeChangeLog
11659mathiot2019-10-07T20:23:54+02:00

ENHANCE-03_domcfg: update README.rst (ticket #2143)

11658mathiot2019-10-07T19:55:50+02:00

ENHANCE-03_domcfg: forced local domain to read the overlap region + re-arange the ocean output print (ticket #2143)

11656mathiot2019-10-04T21:03:26+02:00

ENHANCE-03_closea: add heat/fw fluxes output from closed seas + rm useless USE statements + add USE ONLY when reasonable + ensure heat conservation during the redistribution process (ticket #2143)

11654mathiot2019-10-04T15:15:19+02:00

ENHANCE-03_domcfg: forced the tools to write data over the EW overlap region. Issue in some eORCA1 decomposition without (ticket #2143)

11636mathiot2019-10-02T12:41:58+02:00

revert yesterday changes and update mpp_loc_generic.h90 with the trunk version instead (ticket #2143)

11633mathiot2019-10-01T21:06:31+02:00

modification for in case a domain is a land domain (MINLOC return 0 as indices for the min) (ticket #2143)

11629mathiot2019-10-01T18:17:20+02:00

ENHANCE-03_closea: cosmetic changes (ticket #2143)

11628mathiot2019-10-01T18:12:05+02:00

ENHANCE-03_domcfg: add cpp_ENHANCE-03_domcfg.fcm and remove make_closea_masks.py (as now managed in the F90 code and remove compilation file (ticket #2143)

11604mathiot2019-09-26T18:48:45+02:00

ENHANCE-03_domcfg: remove useless variable in domclo and domutil + cosmetics changes (ticket #2143)

11602mathiot2019-09-26T17:16:00+02:00

ENHANCE-03_domcfg: remove gde3w_0 as outputed in domcfg.nc (ticket #2143)

11207mathiot2019-07-02T19:32:41+02:00

ENHANCE-03_closea: closea correction change to match new closea mask in domain_cfg (ticket #2143)

11201mathiot2019-07-01T12:10:15+02:00

ENHANCE-03_domcfg : add management of closed seas in domain cfg by flood filling and lat/lon seed instead of i/j box definition (ticket #2143)

11197mathiot2019-06-28T14:21:47+02:00

ENHANCE-03_domcfg: daymod.f90 not used (ticket #2143)

11196mathiot2019-06-28T14:20:54+02:00

ENHANCE-03_domcfg: USE dianam useless in iom.F90 (ticket #2143)

11133mathiot2019-06-18T17:45:51+02:00

remove un-needed namelist_ref bloc in domcfg tools and remove debug print (ticket #2143)

11129mathiot2019-06-18T17:11:36+02:00

simplification of domcfg (rm all var_n and var_b as it is not needed) (ticket #2143)

Change History (22)

comment:1 Changed 4 years ago by nemo

  • Priority changed from low to high

comment:2 Changed 3 years ago by mathiot

In 11129:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 3 years ago by mathiot

In 11133:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 3 years ago by mathiot

  • Description modified (diff)
  • Status changed from new to assigned

comment:5 Changed 3 years ago by mathiot

In 11196:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 3 years ago by mathiot

In 11197:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 3 years ago by mathiot

In 11201:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 3 years ago by mathiot

In 11207:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 3 years ago by mathiot

  • wp_comment set to - Change in domcfg to define the closed sea and its river mouth using a lat/lon seed is done. - Change in NEMO to manage multiple closed sea with the same river mouth. - tested in a very idealised case. Still to do: - test it with eORCA025, eORCA1, ORCA2 (to see if the same namelist block works for various configuration with different lakes activated). Will be ready for the merge party.

comment:10 Changed 3 years ago by mathiot

In 11602:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 3 years ago by mathiot

In 11604:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 3 years ago by mathiot

In 11628:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 3 years ago by mathiot

In 11629:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 3 years ago by mathiot

In 11633:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 3 years ago by mathiot

In 11636:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 3 years ago by mathiot

In 11654:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:17 Changed 3 years ago by mathiot

In 11656:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:18 Changed 3 years ago by mathiot

In 11658:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 3 years ago by mathiot

In 11659:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:20 Changed 3 years ago by cetlod

  • branch_review changed from failed to pending

comment:21 Changed 3 years ago by cetlod

  • branch_review changed from pending to passed
  • mp_status changed from no to yes

comment:22 Changed 3 years ago by mathiot

  • Resolution set to fixed
  • Status changed from assigned to closed

Branch ENHANCE-03_domcfg merged into tools_MERGE_2019
Branch ENHANCE-03_closea merged into dev_r11943_MERGE_OPTION2_2019

Note: See TracTickets for help on using tickets.